

package gov.va.med.cds.persistence.hibernate.common;


import gov.va.med.cds.exception.AbstractCdsBaseException;
import gov.va.med.cds.exception.ErrorCodeEnum;


/**
 * 
 * Used to represent the method that is not implemented in hibernate user type.
 * 
 */
public class MethodNotImplementedException
    extends
        AbstractCdsBaseException
{
    private static final long serialVersionUID = -1452036925104256325L;


    public MethodNotImplementedException( ErrorCodeEnum errorCodeName, String... customMsg )
    {
        super( errorCodeName, customMsg );
    }


    public MethodNotImplementedException( ErrorCodeEnum errorCode, Throwable cause )
    {
        super( errorCode, cause );
    }


    public MethodNotImplementedException( ErrorCodeEnum errorCode, Throwable cause, String... customMsg )
    {
        super( errorCode, cause, customMsg );
    }


    public MethodNotImplementedException( ErrorCodeEnum errorCodeName )
    {
        super( errorCodeName );
    }
}
